% Distributions
clear;
% ---- Dice Roll Distribution ----
numDice = 2;
trials = 10;
n=1:trials;
die = fix(6*(rand(numDice,trials))+1);
addColumns = ones(1,numDice);
randomSample = addColumns*die;
lucky7 = find(randomSample==7);
relFreq = zeros(1,trials);
relFreq(lucky7) = 1;
relFreq = cumsum(relFreq)./n;
figure(1)
    range = 6*numDice;
	plot(randomSample, '*')
    hold on
     plot(relFreq, '.r')
    hold off
    axis([0 trials 0 range]);
   title('Sample set')       
   xlabel('trial')
   ylabel('Sample value')
    grid on
    
figure(2)
    binWidth = 0.5;
    x = -range:binWidth:range;
    histogram = histc(randomSample, x);
    bar(x, histogram/trials)
    xlim([1 range+1])
    title('Probability distribution')       
    xlabel('x')
    ylabel('P(x)')
