% Distributions
clear;
% ---- Uniform Distribution ----
trials = 10;
randomSample = 2*rand(1,trials);
figure(1)
    range = 3;
	plot(randomSample, '*')
    axis([0 trials -1 range]);
    title('Sample set')      
    xlabel('trial')
    ylabel('Sample value')
    grid on
    
figure(2)
    binWidth = 0.5;     % precision of probability distribution
    x = -range:binWidth:range;
    histogram = hist(randomSample, x);     
    distribution = histogram/trials;
    cdf = cumsum(distribution);
    bar(x, cdf ,'r')
    hold on
    stem(x, distribution, 'fill')
    hold off
    xlim([-1 range])
     title('Probability density')       
     xlabel('x')
     ylabel('P(x)')
